# Create Order

## Create Market Order

> Create order.

```json
{"openapi":"3.0.1","info":{"title":"DigitalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"CreateOrderResult":{"title":"CreateOrderResult","type":"object","required":["orderId","createdOn"],"properties":{"orderId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time","description":"The date denoting when the order's record was initially created."}}},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"OrderData":{"title":"OrderData","type":"object","required":["cryptoSymbol","tradeSide","quantityType","quantity","externalId","walletCustomerProductId","cashCustomerProductId"],"properties":{"cryptoSymbol":{"type":"string"},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"quantityType":{"$ref":"#/components/schemas/QuantityType"},"quantity":{"type":"number","minimum":0,"exclusiveMinimum":true},"externalId":{"type":"string","description":"External Id in partner's system. This value has to be unique"},"walletCustomerProductId":{"type":"string","format":"uuid","description":"Wallet customer product used for the order."},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."}}},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"QuantityType":{"type":"string","enum":["UNIT","AMOUNT"]}}},"paths":{"/digital/orders/market":{"post":{"summary":"Create Market Order","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrderResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"create-order","description":"Create order.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderData"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wawex.ai/api-reference/asset-management/digital-assets/create-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
